package logic

import (
	"context"

	"juwan-backend/app/users/rpc/internal/svc"
	"juwan-backend/app/users/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type SearchUserFollowsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSearchUserFollowsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SearchUserFollowsLogic {
	return &SearchUserFollowsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SearchUserFollowsLogic) SearchUserFollows(in *pb.SearchUserFollowsReq) (*pb.SearchUserFollowsResp, error) {
	// todo: add your logic here and delete this line

	return &pb.SearchUserFollowsResp{}, nil
}
